public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-video/handbrake/
Date: Sun, 24 Oct 2021 08:27:14 +0000 (UTC)	[thread overview]
Message-ID: <1635063707.38720deacdda9f4cc2802eafdad04b1c48e73e31.sam@gentoo> (raw)

commit:     38720deacdda9f4cc2802eafdad04b1c48e73e31
Author:     James Beddek <telans <AT> posteo <DOT> de>
AuthorDate: Sun Oct 24 08:20:19 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Oct 24 08:21:47 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=38720dea

media-video/handbrake: sync live

Signed-off-by: James Beddek <telans <AT> posteo.de>
Closes: https://github.com/gentoo/gentoo/pull/22693
Signed-off-by: Sam James <sam <AT> gentoo.org>

 media-video/handbrake/handbrake-9999.ebuild | 83 ++++++++++++++---------------
 1 file changed, 39 insertions(+), 44 deletions(-)

diff --git a/media-video/handbrake/handbrake-9999.ebuild b/media-video/handbrake/handbrake-9999.ebuild
index a0fb6014561..ccc9b241fcf 100644
--- a/media-video/handbrake/handbrake-9999.ebuild
+++ b/media-video/handbrake/handbrake-9999.ebuild
@@ -1,10 +1,11 @@
 # Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
-PYTHON_COMPAT=( python3_{7,8,9} )
-inherit autotools gnome2-utils python-any-r1 xdg-utils
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit autotools python-any-r1 xdg
 
 if [[ ${PV} = *9999* ]]; then
 	EGIT_REPO_URI="https://github.com/HandBrake/HandBrake.git"
@@ -17,7 +18,7 @@ else
 fi
 
 DESCRIPTION="Open-source, GPL-licensed, multiplatform, multithreaded video transcoder"
-HOMEPAGE="http://handbrake.fr/"
+HOMEPAGE="https://handbrake.fr/ https://github.com/HandBrake/HandBrake"
 
 LICENSE="GPL-2"
 SLOT="0"
@@ -27,25 +28,26 @@ REQUIRED_USE="^^ ( fdk libav-aac )"
 
 RDEPEND="
 	app-arch/xz-utils
-	media-libs/speex
 	dev-libs/jansson:=
 	dev-libs/libxml2
 	media-libs/a52dec
+	>=media-libs/dav1d-0.5.1
 	media-libs/libass:=
 	>=media-libs/libbluray-1.0
-	>=media-libs/dav1d-0.5.1
 	media-libs/libdvdnav
 	media-libs/libdvdread:=
 	media-libs/libsamplerate
 	media-libs/libtheora
 	media-libs/libvorbis
 	>=media-libs/libvpx-1.8
-	nvenc? ( media-libs/nv-codec-headers )
 	media-libs/opus
+	media-libs/speex
 	media-libs/x264:=
+	media-libs/zimg
 	media-sound/lame
-	sys-libs/zlib
 	>=media-video/ffmpeg-4.2.1:0=[postproc,fdk?]
+	sys-libs/zlib
+	fdk? ( media-libs/fdk-aac )
 	gstreamer? (
 		media-libs/gstreamer:1.0
 		media-libs/gst-plugins-base:1.0
@@ -67,13 +69,15 @@ RDEPEND="
 		x11-libs/libnotify
 		x11-libs/pango
 	)
-	fdk? ( media-libs/fdk-aac )
-	x265? ( >=media-libs/x265-3.2:0=[10bit,12bit,numa?] )"
-
-DEPEND="${RDEPEND}
+	nvenc? ( media-libs/nv-codec-headers )
+	x265? ( >=media-libs/x265-3.2:0=[10bit,12bit,numa?] )
+"
+DEPEND="
 	${PYTHON_DEPS}
+	${RDEPEND}
 	dev-lang/nasm
-	dev-util/intltool"
+	dev-util/intltool
+"
 
 PATCHES=(
 	# Remove libdvdnav duplication and call it on the original instead.
@@ -83,6 +87,9 @@ PATCHES=(
 	# Remove faac dependency; TODO: figure out if we need to do this at all.
 	"${FILESDIR}/${PN}-9999-remove-faac-dependency.patch"
 
+	# Detect system tools - bug 738110
+	"${FILESDIR}/${PN}-9999-system-tools.patch"
+
 	# Use whichever python is set by portage
 	"${FILESDIR}/${PN}-1.3.0-dont-search-for-python.patch"
 
@@ -98,9 +105,7 @@ src_prepare() {
 
 	default
 
-	cd "${S}/gtk"
-	# Don't run autogen.sh.
-	sed -i '/autogen.sh/d' module.rules || die "Removing autogen.sh call failed"
+	cd "${S}/gtk" || die
 	eautoreconf
 }
 
@@ -108,35 +113,31 @@ src_configure() {
 	# Libav was replaced in 1.2 with ffmpeg by default
 	# but I've elected to not make people change their use flags for AAC
 	# as its the same code anyway
-	./configure \
-		--force \
-		--verbose \
-		--prefix="${EPREFIX}/usr" \
-		--disable-gtk-update-checks \
-		--disable-flatpak \
-		--disable-gtk4 \
-		$(use_enable libav-aac ffmpeg-aac) \
-		$(use_enable fdk fdk-aac) \
-		$(usex !gtk --disable-gtk) \
-		$(usex !gstreamer --disable-gst) \
-		$(use_enable numa) \
-		$(use_enable nvenc) \
-		$(use_enable x265) || die "Configure failed."
+	local myconfargs=(
+		--force
+		--verbose
+		--prefix="${EPREFIX}/usr"
+		--disable-gtk-update-checks
+		--disable-flatpak
+		--disable-gtk4
+		$(use_enable libav-aac ffmpeg-aac)
+		$(use_enable fdk fdk-aac)
+		$(usex !gtk --disable-gtk)
+		$(usex !gstreamer --disable-gst)
+		$(use_enable numa)
+		$(use_enable nvenc)
+		$(use_enable x265)
+	)
+	
+	./configure "${myconfargs[@]}" || die "Configure failed."
 }
 
 src_compile() {
 	emake -C build
-
-	# TODO: Documentation building is currently broken, try to fix it.
-	#
-	# if use doc ; then
-	# 	emake -C build doc
-	# fi
 }
 
 src_install() {
 	emake -C build DESTDIR="${D}" install
-
 	dodoc README.markdown AUTHORS.markdown NEWS.markdown THANKS.markdown
 }
 
@@ -152,11 +153,5 @@ pkg_postinst() {
 		einfo "For the GTK+ version of HandBrake, you can run \`ghb\`."
 	fi
 
-	xdg_icon_cache_update
-	xdg_desktop_database_update
-}
-
-pkg_postrm() {
-	xdg_icon_cache_update
-	xdg_desktop_database_update
+	xdg_pkg_postinst
 }


             reply	other threads:[~2021-10-24  8:27 UTC|newest]

Thread overview: 66+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-10-24  8:27 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-04-12 20:50 [gentoo-commits] repo/gentoo:master commit in: media-video/handbrake/ Sam James
2024-12-22  6:21 Sam James
2024-12-22  6:21 Sam James
2024-12-22  6:21 Sam James
2024-10-31 22:27 Andreas K. Hüttel
2024-08-13  4:55 Michał Górny
2024-01-28 22:53 Jonas Stein
2023-09-27 13:22 Joonas Niilola
2023-07-12  7:37 Sam James
2023-07-12  7:37 Sam James
2023-07-12  7:33 Sam James
2023-06-03  5:15 Sam James
2023-06-01  3:27 Sam James
2023-05-06 11:34 Sam James
2023-05-03  4:45 Sam James
2023-04-07 11:44 Sam James
2022-06-20  2:35 Sam James
2022-06-20  2:35 Sam James
2022-06-18 16:54 Agostino Sarubbo
2022-01-16  2:23 Sam James
2022-01-16  2:23 Sam James
2021-12-30  4:42 Sam James
2021-12-29 12:11 Jakov Smolić
2021-10-25  3:52 Sam James
2021-10-24  8:44 Sam James
2021-10-24  8:27 Sam James
2021-10-24  8:27 Sam James
2021-10-24  8:27 Sam James
2021-10-24  8:27 Sam James
2021-10-24  8:27 Sam James
2021-10-24  8:27 Sam James
2021-10-24  8:27 Sam James
2021-10-24  8:27 Sam James
2021-10-24  8:27 Sam James
2021-10-16  1:24 Sam James
2021-09-25 19:08 Sam James
2021-06-01 14:05 Sam James
2021-05-31 23:19 Sam James
2021-05-31 23:19 Sam James
2021-05-31 23:19 Sam James
2020-09-14 19:31 Michał Górny
2020-05-23  9:51 Ian Whyman
2020-04-26 18:27 Mikle Kolyada
2020-04-19  2:35 Craig Andrews
2019-11-15 20:50 Ian Whyman
2019-03-12 21:55 Ian Whyman
2019-03-09 10:34 Ian Whyman
2018-10-25 18:34 Ian Whyman
2018-07-29  8:42 Ian Whyman
2018-05-05 13:30 Ian Whyman
2018-04-15 14:18 Ian Whyman
2017-11-26 23:11 David Seifert
2017-05-12 21:22 Ian Whyman
2017-03-06 17:27 Ian Whyman
2017-03-04 22:35 Ian Whyman
2017-03-04 13:37 Alexis Ballier
2017-01-07  1:22 Lars Wendler
2016-09-27 22:34 Lars Wendler
2016-07-10 14:06 Ian Whyman
2016-05-22 11:28 Ian Whyman
2016-05-22 11:19 Ian Whyman
2016-04-19 21:13 Ian Stakenvicius
2016-03-31 12:45 Lars Wendler
2015-10-11 14:42 Alexis Ballier
2015-08-27 19:24 Ian Whyman

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1635063707.38720deacdda9f4cc2802eafdad04b1c48e73e31.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox